Content Type list

Content Type list

Returns a list of Content Type Info instances which describe the type support plugins in a Content Library.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires ContentLibrary.TypeIntrospection.
Request
URI
GET
https://{host}/api/content/type
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

The list of Content Type Info instances which describe the type support plugins in a Content Library.

[
    {
        "description": "string",
        "name": "string",
        "type": "string",
        "vendor": "string",
        "version": "string",
        "supported_rules": [
            "string"
        ]
    }
]
array of object
Optional

The Content Type Info schema describes support for a specific type of data in an Content Library ItemModel. The Content Type Info can be queried through the Content Type resource. Type support describes plugins in the Content Library which can provide metadata on library items and help manage the transfer process by adding dependent files when a current file is added.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/content/type